---
title: Simulate tokenization completion
slug: apis/cards/apis/wallet-tokenization/simulate-tokenization-completion
description: This endpoint allows developers to simulate tokenization completion by sending token requester and reference IDs and receiving confirmation in a sandbox.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-05-07T06:20:49.222Z
---

## API reference

Simulate completion of tokenization process.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /cardmanagement/v1/simulate/tokenization/token-completed",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/token-completed",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "hIyb6HxBZBiF03IHcJXah",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/token-completed' \\\n--data '{\n    \"tokenRequestorId\": \"40010030273\",\n    \"tokenReferenceId\": \"DNITHE9081730203478143\"\n}'",
        "customLabel": ""
      },
      {
        "id": "ft5vKqVLm1iBRbf8XC9I5",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n  'method': 'POST',\n  'url': 'https://sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/token-completed',\n  'headers': {\n  },\n  body: '{\\r\\n    \"tokenRequestorId\": \"40010030273\",\\r\\n    \"tokenReferenceId\": \"DNITHE9081730203478143\"\\r\\n}'\n\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "IKG44Td3ZAx081w4orXVV",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/token-completed\"\n\npayload = \"{\\r\\n    \\\"tokenRequestorId\\\": \\\"40010030273\\\",\\r\\n    \\\"tokenReferenceId\\\": \\\"DNITHE9081730203478143\\\"\\r\\n}\"\nheaders = {}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "JmUimA3fR9SBHutatvEsD",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/token-completed\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest.body = \"{\\r\\n    \\\"tokenRequestorId\\\": \\\"40010030273\\\",\\r\\n    \\\"tokenReferenceId\\\": \\\"DNITHE9081730203478143\\\"\\r\\n}\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "afy7cWT-4C2c6vnWR5eOB",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/token-completed\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n    \"tokenRequestorId\": \"40010030273\",`+\"\n\"+`\n    \"tokenReferenceId\": \"DNITHE9081730203478143\"`+\"\n\"+`\n}`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "hIyb6HxBZBiF03IHcJXah"
  },
  "results": {
    "languages": [
      {
        "id": "kcRcUaYhEpL8DHVEgmP34",
        "language": "200",
        "code": "{\n    \"tokenRequestorId\": \"40010030273\",\n    \"tokenReferenceId\": \"DNITHE9081730203478143\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "kcRcUaYhEpL8DHVEgmP34"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "tokenRequesterId",
        "kind": "required",
        "type": "string",
        "description": "Identifier of the token service provider requesting tokenization.",
        "": "Identifier of the token service provider requesting tokenization."
      },
      {
        "name": "tokenReferenceId",
        "kind": "required",
        "type": "string",
        "description": "Unique reference identifier assigned by the token service provider.",
        "": "Unique reference identifier assigned by the token service provider."
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "response": [
    {
      "name": "tokenRequesterId",
      "kind": "optional",
      "type": "string",
      "description": "Identifier of the token service provider requesting tokenization."
    },
    {
      "name": "tokenReferenceId",
      "kind": "optional",
      "type": "string",
      "description": "Unique reference identifier assigned by the token service provider.",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-cardmanagementv1simulatetokenizationtoken",
  "legacyHash": "x--SPHGtvjW6sA3Mdft10"
}
```
:::

